List Info

Thread: sys-devel/gcc-config-1.3.15-r1




sys-devel/gcc-config-1.3.15-r1
user name
2007-03-30 09:59:08
Hi,

sys-devel/gcc-config-1.3.14 has it fixed already, but
1.3.15-r1 still
compiles the unpatched wrapper-source:

Index: gcc-config-1.3.15-r1.ebuild
============================================================
=======
--- gcc-config-1.3.15-r1.ebuild (revision 4787)
+++ gcc-config-1.3.15-r1.ebuild (working copy)
 -32,7
+32,7 
 
 src_compile() {
        $(tc-getCC) -O2 -Wall -o wrapper 
-               "$"/wrapper-$.c
|| die "compile wrapper"
+               wrapper-$.c || die "compile
wrapper"
 }
 
 src_install() {

/haubi/

-- 
gentoo-altgentoo.org mailing list


Re: sys-devel/gcc-config-1.3.15-r1
country flaguser name
Netherlands
2007-03-30 10:03:15
Any reason to keep this version, instead of yanking it from
the tree?

On 30-03-2007 16:59:08 +0200, Michael Haubenwallner wrote:
> Hi,
> 
> sys-devel/gcc-config-1.3.14 has it fixed already, but
1.3.15-r1 still
> compiles the unpatched wrapper-source:
> 
> Index: gcc-config-1.3.15-r1.ebuild
>
============================================================
=======
> --- gcc-config-1.3.15-r1.ebuild (revision 4787)
> +++ gcc-config-1.3.15-r1.ebuild (working copy)
>  -32,7 +32,7 
>  
>  src_compile() {
>         $(tc-getCC) -O2 -Wall -o wrapper 
> -              
"$"/wrapper-$.c || die
"compile wrapper"
> +               wrapper-$.c || die "compile
wrapper"
>  }
>  
>  src_install() {
> 
> /haubi/
> 
> -- 
> gentoo-altgentoo.org mailing list
> 

-- 
Fabian Groffen
Gentoo on a different level
-- 
gentoo-altgentoo.org mailing list


Re: sys-devel/gcc-config-1.3.15-r1
user name
2007-03-30 10:50:18
On Fri, 2007-03-30 at 17:03 +0200, Fabian Groffen wrote:
> Any reason to keep this version, instead of yanking it
from the tree?

Keep which version ?

1.3.15-r1 is up to date[1], but has prefix-bug.
1.3.14 works, but I do not want to keep this one.

[1] http://sources.gentoo.org/viewcvs.py/gentoo
-x86/sys-devel/gcc-config/

> 
> On 30-03-2007 16:59:08 +0200, Michael Haubenwallner
wrote:
> > Hi,
> > 
> > sys-devel/gcc-config-1.3.14 has it fixed already,
but 1.3.15-r1 still
> > compiles the unpatched wrapper-source:
> > 
> > Index: gcc-config-1.3.15-r1.ebuild
> >
============================================================
=======
> > --- gcc-config-1.3.15-r1.ebuild (revision 4787)
> > +++ gcc-config-1.3.15-r1.ebuild (working copy)
> >  -32,7 +32,7 
> >  
> >  src_compile() {
> >         $(tc-getCC) -O2 -Wall -o wrapper 
> > -              
"$"/wrapper-$.c || die
"compile wrapper"
> > +               wrapper-$.c || die
"compile wrapper"
> >  }
> >  
> >  src_install() {
> > 
> > /haubi/
> > 
> > -- 
> > gentoo-altgentoo.org mailing list
> > 
> 
> -- 
> Fabian Groffen
> Gentoo on a different level

-- 
gentoo-altgentoo.org mailing list


Re: sys-devel/gcc-config-1.3.15-r1
country flaguser name
Netherlands
2007-03-30 11:38:22
On 30-03-2007 17:50:18 +0200, Michael Haubenwallner wrote:
> On Fri, 2007-03-30 at 17:03 +0200, Fabian Groffen
wrote:
> > Any reason to keep this version, instead of
yanking it from the tree?
> 
> Keep which version ?
> 
> 1.3.15-r1 is up to date[1], but has prefix-bug.
> 1.3.14 works, but I do not want to keep this one.
> 
> [1] http://sources.gentoo.org/viewcvs.py/gentoo
-x86/sys-devel/gcc-config/

I need glasses.  Thanks.

-- 
Fabian Groffen
Gentoo on a different level

-- 
gentoo-altgentoo.org mailing list


Re: sys-devel/gcc-config-1.3.15-r1
country flaguser name
Netherlands
2007-03-30 11:41:57
By the way, this is most probably the reason why gcc-config
resulted in
some problems after upgrading for almost everyone.

On 30-03-2007 18:38:22 +0200, Fabian Groffen wrote:
> On 30-03-2007 17:50:18 +0200, Michael Haubenwallner
wrote:
> > On Fri, 2007-03-30 at 17:03 +0200, Fabian Groffen
wrote:
> > > Any reason to keep this version, instead of
yanking it from the tree?
> > 
> > Keep which version ?
> > 
> > 1.3.15-r1 is up to date[1], but has prefix-bug.
> > 1.3.14 works, but I do not want to keep this one.
> > 
> > [1] http://sources.gentoo.org/viewcvs.py/gentoo
-x86/sys-devel/gcc-config/
> 
> I need glasses.  Thanks.
> 
> -- 
> Fabian Groffen
> Gentoo on a different level
> 
> -- 
> gentoo-altgentoo.org mailing list
> 

-- 
Fabian Groffen
Gentoo on a different level

-- 
gentoo-altgentoo.org mailing list


[1-5]

about | contact  Other archives ( Real Estate discussion Medical topics )